<?php
	require("__include-common.php");
	require("__include-common-rss.php");
	require("../account/__logincheck.php");
	require("magpierss/rss_fetch.inc");

	html_header(HTML_TITLE);
?>
	<div id="rss_popup">
<?php
	rss_body();
?>
	</div>
<?php
	html_footer();
	exit();
?>
<?php
function rss_body() {
	$con = my_mysql_connect(_DB_SCHEMA);
	$sql = "select * from m_rss where c_delete = 0 and id_account = '" . $_SESSION['current_id'] . "'";
	$sql .= " and id_rss = " . intval($_GET['id']);
	if ($_SESSION['current_id'] != $_SESSION['login_id']) {
		$sql .= " and c_privacy = 0";
	}
	$rs = my_mysql_query($sql);
	if ($rec = mysql_fetch_array($rs)) {
		rss_view($rec, RSS_ARTICLE_TABLE_WIDTH_POPUP);
	}
}
?>
